<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.ChinaAreaMapper">

    <resultMap type="com.ruoyi.common.core.domain.ChinaArea" id="ChinaAreaResult">
        <result property="areaId"    column="area_id"    />
        <result property="name"    column="name"    />
        <result property="pid"    column="pid"    />
        <result property="sort"    column="sort"    />
    </resultMap>
    <select id="selectChinaAreaList" resultMap="ChinaAreaResult">
        select area_id,name,pid,sort from china_area where pid = #{pid} order by sort
    </select>

</mapper>